import sqlite3 
import pandas as pd
import time
  
# Get the filenames
file_path = input ("Give the name of the csv file (without the extention): ")
csv_file_path = file_path+".csv"


# filename to form database 
SQL_file_path = file_path+".db"
table_name = file_path
try: 
  conn = sqlite3.connect(SQL_file_path) 
  print("Database "+SQL_file_path+" formed.") 
except: 
  print("Database "+SQL_file_path+" not formed.")

print("Reading csv file using Panda...")
readStartTime = time.time()
df = pd.read_csv(csv_file_path)
readEndTime = time.time()
pandaReadTime = round((readEndTime - readStartTime)*1000)

print("Writing Parquet file...")
writeStartTime = time.time()
df.to_parquet(file_path+".parquet")
writeEndTime = time.time()
parquetWriteTime = round((writeEndTime - writeStartTime)*1000)

print("Writing to SQLite file...")
writeStartTime = time.time()
df.to_sql(table_name, conn, if_exists='append', index=False)
writeEndTime = time.time()
SQLiteWriteTime = round((writeEndTime - writeStartTime)*1000)

print("Done\nTime to read: {} ms, time to write (parquet): {} ms, time to write (SQLite): {} ms\n\n".format(pandaReadTime, parquetWriteTime, SQLiteWriteTime))
