import time

# Get the filenames
file_path = input ("Give the name of the csv file (without the extention): ")
csv_file_path = file_path+".csv"

# 1º Using pandas:
import pandas as pd

print("Reading csv file using Panda...")
readStartTime = time.time()
df = pd.read_csv(csv_file_path)
readEndTime = time.time()

print("Writing Parquet file...")
writeStartTime = time.time()
df.to_parquet(file_path+"_1.parquet")
writeEndTime = time.time()

pandaReadTime = round((readEndTime - readStartTime)*1000)
pandaWriteTime = round((writeEndTime - writeStartTime)*1000)
print("Done\nTime to read: {} ms, time to write: {} ms\n\n".format(pandaReadTime, pandaWriteTime))


#2º Using pyarrow:
from pyarrow import csv, parquet

print("Reading csv file using Pyarrow...")
readStartTime = time.time()
table = csv.read_csv(csv_file_path)
readEndTime = time.time()

print("Writing Parquet file...")
writeStartTime = time.time()
parquet.write_table(table, file_path+"_2.parquet")
writeEndTime = time.time()

pyarrowReadTime = round((readEndTime - readStartTime)*1000)
pyarrowWriteTime = round((writeEndTime - writeStartTime)*1000)
print("Done\nTime to read: {} ms, time to write: {} ms\n\n".format(pyarrowReadTime, pyarrowWriteTime))

#3º Using dask:
from dask.dataframe import read_csv

print("Reading csv file using Dask...")
readStartTime = time.time()
dask_df = read_csv(csv_file_path, dtype={'column_xpto': 'float64'})
readEndTime = time.time()

print("Writing Parquet file...")
writeStartTime = time.time()
dask_df.to_parquet(file_path+"_3.parquet")
writeEndTime = time.time()

daskReadTime = round((readEndTime - readStartTime)*1000)
daskWriteTime = round((writeEndTime - writeStartTime)*1000)
print("Done\nTime to read: {} ms, time to write: {} ms\n\n".format(daskReadTime, daskWriteTime))
